package com.simplegame.erp.bus.user.controller;


import java.util.UUID;

import javax.servlet.http.HttpSession;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.simplegame.erp.bus.user.entity.User;

/**
 *
 * @Author zeusgooogle@gmail.com
 * @sine   2015年9月22日 下午3:11:20
 *
 */
@RestController
public class TestController {    

    private Logger LOG = LogManager.getLogger(getClass());
    
    @RequestMapping("/")
    public String uid(HttpSession session) {
        UUID uid = (UUID) session.getAttribute("uid");
        if (uid == null) {
            uid = UUID.randomUUID();
        }
        session.setAttribute("uid", uid);

        User user = (User)session.getAttribute("user");
        if( user == null ) {
            user = new User();
            user.setId("test-" + System.currentTimeMillis());
            user.setPassword("password-" + System.currentTimeMillis());
        }
        session.setAttribute("user", user);
        
        LOG.info("UUID: {}, user: {}", uid, user.toString());
        
        return uid.toString();
    }
    
}
