package com.simplegame.erp.bus.user.entity;


import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * 
 * @Author zeusgooogle@gmail.com
 * @sine 2014年11月24日 下午12:27:36
 * 
 */
@Entity
public class User implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 3468181882676780412L;

    @Id
    private String id;

    @Column(nullable = false)
    private String username;

    @Column(nullable = false)
    private String password;

    /**
     * 用户类型
     */
    @Column(nullable = false)
    private int type;

    @Column(nullable = false)
    private Date createTime;

    public User() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "User [id=" + id + ", username=" + username + ", password=" + password + ", type=" + type + ", createTime=" + createTime + "]";
    }
    
    

}
