package com.simplegame.erp.bus.user.service;

import org.springframework.security.core.userdetails.UserDetailsService;

import com.simplegame.erp.bus.user.entity.User;

/**
 *
 * @Author zeusgooogle@gmail.com
 * @sine   2015年9月23日 下午6:37:12
 *
 */

public interface IUserService extends UserDetailsService{

    public String getOnlineUsername();
    
    public boolean isOnline();
    
    /**
     * 账户是否存在
     * 
     * @param username
     * @return
     */
    public boolean exist(String username);
    
    public User findByUsername(String username);
    
    public User createUser(String username, String password);
    
}
