package com.simplegame.erp.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ViewControllerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 *
 * @Author zeusgooogle@gmail.com
 * @sine   2015年9月24日 上午11:11:16
 *
 */
@Configuration
public class WebMvcConfigurer extends WebMvcConfigurerAdapter {

    @Override
    public void addViewControllers(ViewControllerRegistry registry) {
        
        registry.addViewController("/").setViewName("index");
        registry.addViewController("/console").setViewName("console/index");
        
        registry.addViewController("/api").setViewName("api");
        registry.addViewController("/about").setViewName("about");
        
        registry.addViewController("/login").setViewName("login");

    }
}
