package com.simplegame.erp;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ImportResource;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;

/**
 *
 * @Author zeusgooogle@gmail.com
 * @sine   2015年11月6日 下午6:23:46
 *
 */
@SpringBootApplication
@EnableGlobalMethodSecurity(securedEnabled = true)
@ImportResource(value="classpath:config/spring/application-context.xml")
public class AppMain {

    public static void main(String[] args) {
        SpringApplication.run(AppMain.class, args);
    }

}
